<?php
namespace app\controller;

use think\App;
use app\BaseController;
use app\model\SysUser as UserModel;
use think\facade\View;

class Login extends BaseController
{
    protected $user_model;

    public function __construct(App $app)
    {
        parent::__construct($app);

        $this->user_model = new UserModel();
    }

    public function index()
    {
        if ($this->request->isPost()) {
            $param = $this->request->param();
            // var_dump($param);
            // exit;
            $username = $param['username'];
            $password = $param['password'];
            $captcha = $param['captcha'];

            if (!$username || !$password || !$captcha) {
                $this->error('用户名/密码/验证码不能为空');
            }


            if (!captcha_check($captcha)) {
                $this->error('验证码不正确', '/login');
            }

            $info = $this->user_model->where('username', $username)->find();

            if (!$info || md5($password.$info->salt) != $info->password) {
                $this->error('用户名/密码不正确', '/login');
            }
            session('uid', $info->id);
            session('username', $info->username);
            session('role_id', $info->role_id);
            session('last_time', $info->login_time);
            session('last_ip', $info->login_ip);

            $info->login_time = time();
            $info->login_ip = $this->request->ip();
      
            $result = $info->save();

            if ($result === false) {
                $this->error('登陆失败,请稍后重试', '/login');
            }

            $this->success('登入成功', '/index');
        } else {
            if (session('?username')) {
                $this->success('您已登入', '/index');
            } else {
                return View::fetch();
            }
        }
    }

    /**
     * 登出
     */
    public function logout()
    {
        session(null);
        return redirect('/login');
    }
}
